summaryrefslogtreecommitdiffstats
path: root/scripts/oe-buildenv-internal
diff options
context:
space:
mode:
authorJuro Bystricky <juro.bystricky@intel.com>2015-12-03 15:09:56 -0800
committerRichard Purdie <richard.purdie@linuxfoundation.org>2015-12-12 23:31:39 +0000
commit826ae02c08b2210aa39ed51e1a9e50d40f33afb4 (patch)
tree30740fb7a3d957eaeb24bf01ea1c170857145c9d /scripts/oe-buildenv-internal
parent18dcf8acc9a918d00c3525e9af5f64d237f74bdb (diff)
downloadopenembedded-core-826ae02c08b2210aa39ed51e1a9e50d40f33afb4.tar.gz
oe-buildenv-internal: preserve existing BB_ENV_EXTRAWHITE
According to the BitBake User Manual the environment variable BB_ENV_EXTRAWHITE specifies an additional set of variables to allow through (whitelist) from the external environment into BitBake's datastore. However, running: $ source oe-init-build-env build-name will overwrite any pre-existing BB_ENV_EXTRAWHITE variables. This patch modifies this behaviour: all oe-build-internal BB_ENV_EXTRAWHITE variables are appended to any potentially already existing BB_ENV_EXTRAWHITE variables. (The variables are only appended if not already in BB_ENV_EXTRAWHITE) Signed-off-by: Juro Bystricky <juro.bystricky@intel.com> Signed-off-by: Ross Burton <ross.burton@intel.com>
Diffstat (limited to 'scripts/oe-buildenv-internal')
-rwxr-xr-xscripts/oe-buildenv-internal6
1 files changed, 5 insertions, 1 deletions
diff --git a/scripts/oe-buildenv-internal b/scripts/oe-buildenv-internal
index 9ed2721536..51e449ac3b 100755
--- a/scripts/oe-buildenv-internal
+++ b/scripts/oe-buildenv-internal
@@ -102,8 +102,12 @@ unset BITBAKEDIR NEWPATHS
# Used by the runqemu script
export BUILDDIR
export PATH
-export BB_ENV_EXTRAWHITE="MACHINE DISTRO TCMODE TCLIBC HTTP_PROXY http_proxy \
+
+BB_ENV_EXTRAWHITE_OE="MACHINE DISTRO TCMODE TCLIBC HTTP_PROXY http_proxy \
HTTPS_PROXY https_proxy FTP_PROXY ftp_proxy FTPS_PROXY ftps_proxy ALL_PROXY \
all_proxy NO_PROXY no_proxy SSH_AGENT_PID SSH_AUTH_SOCK BB_SRCREV_POLICY \
SDKMACHINE BB_NUMBER_THREADS BB_NO_NETWORK PARALLEL_MAKE GIT_PROXY_COMMAND \
SOCKS5_PASSWD SOCKS5_USER SCREENDIR STAMPS_DIR"
+
+echo "$BB_ENV_EXTRAWHITE" | grep -q "${BB_ENV_EXTRAWHITE_OE}"
+[ $? != 0 ] && export BB_ENV_EXTRAWHITE="${BB_ENV_EXTRAWHITE_OE} $BB_ENV_EXTRAWHITE"